IFAPI_ExportPolicy Struct Reference

`#include <fapi_int.h>`

## Data Fields

char const * | path
IFAPI_OBJECT | object
TPMS_POLICY | policy
TPMI_ALG_HASH | hashAlg
size_t | profile_idx
bool | compute_policy

## Detailed Description

The data structure holding internal state of export policy.

## Field Documentation

## compute_policy

bool compute_policy

Switch whether computation of the policy for the default name hash alg is needed.

## hashAlg

TPMI_ALG_HASH hashAlg

Index of profile used for digest computation.

## object

IFAPI_OBJECT object

Object corresponding to path

## path

char const* path

Path of the object with the policy to be exported

## policy

TPMS_POLICY policy

Policy from store be exported

## profile_idx

size_t profile_idx

hashAlg used for policy digest computation.

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h